> ## Name

> cgGetProgramBufferMaxIndex - get the maximum index of a buffer for a given profile

> ## Synopsis

>     #include <Cg/cg.h>

>     int cgGetProgramBufferMaxIndex( CGprofile profile );

> ## Parameters

> profile
>   The target for determining the maximum buffer index.

> ## Return Values

> Returns the maximum buffer index for a given profile.

> Returns 0 if an error occurs.

> ## Description

> cgGetProgramBufferMaxIndex returns the maximum buffer index for a profile. cgGetProgramBufferMaxIndex will return 0 if an invalid profile is passed.

> ## Examples

> int size = cgGetProgramBufferMaxIndex( CG_PROFILE_GPU_VP );

> ## Errors

> none.

> ## History

> cgGetProgramBufferMaxIndex was introduced in Cg 2.0.

> ## See Also

> cgGetProgramBufferMaxSize, cgGetParameterBufferIndex, cgCreateBuffer